#!/bin/sh

RIST_DIR=/disk/RIST

DST_IP_ADDR=192.168.2.1
DST_PORT=7100
SRC_PORT=20000
CMD_PORT=2112

if [ "$1" = test ] ; then
  TEST_VERBOSE=y
  set -x
  . $RIST_DIR/setconfig.sh
  exit 0
fi

DATA_BASE=$RIST_DIR/proxy_db
TX_TABLE=tx_config
NAME=Default
TX_FIELDS=Name,DstIPAddr,DstPort,SrcPort,CmdPort,Started

sqlite3 $DATA_BASE <<!
INSERT INTO $TX_TABLE ($TX_FIELDS)
    VALUES (
        '$NAME','$DST_IP_ADDR','$DST_PORT','$SRC_PORT','$CMD_PORT','0'
        );
!
