#!/bin/sh

BIN=/disk/RIST

QUERY_STRING='SERVER_IP_ADDR=192.168.1.24&SERVER_PORT=6100&TUN_IP_ADDR=192.168.2.10&START_PORT=7100&NUM_SESSIONS=4&ROUTING=false&REDUCED_MODE=false&PERCENT_LOSS=4'

CGIPARSE=/flash/www/cgi-bin/cgiparse
export TEST_VERBOSE=y

  $CGIPARSE "$QUERY_STRING"
  eval `$CGIPARSE "$QUERY_STRING"`
  if [ "$getstate" != "" ] ; then
    $BIN/tun_getstate.sh
  elif [ "$getconfig" != "" ] ; then
    $BIN/tun_getconfig.sh
  elif [ "$start" != "" ] ; then
    $BIN/controltun.sh start
  elif [ "$stop" != "" ] ; then
    $BIN/controltun.sh stop
  else
    sh -x $BIN/tun_setconfig.sh
  fi
