function showConfig(xml) {
  var xmlDoc = xml.responseXML;
  x = xmlDoc.getElementsByTagName(cfgTagName);
    
  var configLables = ""
  var configValues = ""
  for (i = 0; i < cfg_names.length - 1; i++) {
    if (x[0].getElementsByTagName(cfg_names[i])[0].childNodes[0]) {
      value = x[0].getElementsByTagName(cfg_names[i])[0].childNodes[0].nodeValue;
    } else {
      value = "";
    }
    configLables += cfg_labels[cfg_names[i]] + "<br>\n";
    configValues += value + "<br>\n";
  }
  configLables += cfg_labels[cfg_names[i]];
  configValues +=
    x[0].getElementsByTagName(cfg_names[i])[0].childNodes[0].nodeValue;
 
  document.getElementById("main_page").innerHTML =
    "<div class=\"iconContainer noWrap\">" +
     "<div class=\"icon\">" +
      "<h3>" + titleStr + " Configuration</h3>" +
      "<div class=\"left\">" +
       configLables +
      "</div>" +
      "<div class=\"left\">" +
       configValues +
      "</div>" +
     "</div>" +
    "</div>";
  }
  
function editConfig(xml) {
  var xmlDoc = xml.responseXML;
  x = xmlDoc.getElementsByTagName(cfgTagName);
    
  var formBody = "";
  var inputStr = "";
  for (i = 0; i < cfg_names.length; i++) {
    label = cfg_labels[cfg_names[i]];
    if (x[0].getElementsByTagName(cfg_names[i])[0].childNodes[0]) {
      value = x[0].getElementsByTagName(cfg_names[i])[0].childNodes[0].nodeValue;
    } else {
      value = "";
    }
    labelStr = "<label for=\"" + cfg_names[i] + "\">" + label + "</label>";
    if (cfgYesNo[i]) {
      yesSelected = "selected";
      noSelected = "";
      if (value.indexOf("false") != -1) {
        yesSelected = "";
        noSelected = "selected";
      }
      inputStr = "<select name=\"" + cfg_names[i] + "\">\n" +
        "<option value=\"true\"" + yesSelected + ">Yes</option>\n" +
        "<option value=\"false\"" + noSelected + ">No</option>\n" +
        "</select>";
    } else {
      inputStr = "<input type=\"text\" name=\"" + cfg_names[i] +
        "\" value=\"" +  value + "\">";
    }
    formBody += "<div>" + labelStr + inputStr + "</div>\n";
  }

  document.getElementById("main_page").innerHTML =
   "<div class=\"formdiv\">" +
    "<h3>" + titleStr + " Configuration</h3>" +
    "<form id=\"config\" action=\"tun.cgi\" " +
           "onsubmit='return submitForm(this, \"tun.cgi\", showConfig)'>" +
     formBody +
     "<br>\n<input type=\"submit\" value=\"Submit\">\n</form>" +
   "</div>";
}
