#!/bin/sh

if [ "`uname -m`" = mips ] ; then
    MIN_RX_BUF_SIZE=1048576 # 1 MByte
    SUDO=
else
    MIN_RX_BUF_SIZE=10485760 # 10 MBytes
    SUDO=sudo
fi

for name in rmem_max rmem_default
do
    VALUE=`/sbin/sysctl -n net.core.$name`
    if [ $VALUE -lt $MIN_RX_BUF_SIZE ] ; then
        echo "current net.core.$name is $VALUE"
        $SUDO /sbin/sysctl net.core.$name=$MIN_RX_BUF_SIZE
    fi
done
