#!/bin/sh

. /flash/qvidium/inputs.conf
PROGRAM=RISTTx
TAG=TX_STATE
if [ "$QVDEC_BOARD" = true ] ; then
  PROGRAM=RISTRx
  TAG=RX_STATE
fi

STATE=false
pidof $PROGRAM > /dev/null && STATE=true
cat <<!
<?xml version="1.0" encoding="UTF-8"?>
<PROXY_CONTROL>
  <$TAG>
    <RUNNING>$STATE</RUNNING>
  </$TAG>
</PROXY_CONTROL>
!
