#!/bin/sh

BIN=/disk/RIST
. /flash/qvidium/inputs.conf
PROGRAM=RISTTx
[ "$QVDEC_BOARD" = true ] && PROGRAM=RISTRx

case "$1" in
        sh) CMD=getstats ;;
     reset) CMD=resetstats ;;
  xmlreset) CMD=xmlresetstats ;;
         *) CMD=xmlstats ;;
esac

if pidof $PROGRAM > /dev/null ; then
  eval `$BIN/getconfig.sh sh`
  cmd_request --ipAddr 127.0.0.1 --port $CMD_PORT --cmd $CMD
else
  $BIN/getstate.sh $1
fi
