#!/bin/sh

BIN=/disk/RIST
DATA_BASE=$BIN/proxy_db

if [ -f $DATA_BASE ] ; then
    grep 'SQLite format' proxy_db > /dev/null
    [ $? != 0 ] && rm -f $DATA_BASE
fi

if [ ! -f $DATA_BASE ] ; then
    $BIN/init_db.sh
    $BIN/insert_rx_db.sh $1
    $BIN/insert_tx_db.sh $1
    $BIN/insert_tun_db.sh $1
fi
