#!/bin/sh

RIST_DIR=/disk/RIST
DATA_BASE=$RIST_DIR/proxy_db

rm -f $DATA_BASE

sqlite3 $DATA_BASE <<!
CREATE TABLE tun_config
     (
      Name                 TEXT,
      ServerIPAddr         TEXT,
      ServerPort           int,
      TunIPAddr            TEXT,
      StartPort            int,
      NumSessions          int,
      Routing              int,
      ReducedMode          int,
      NoDTLS               int,
      PercentLoss          int,
      Started              int
     );
 
CREATE TABLE tx_config
     (
      Name                 TEXT,
      DstIPAddr            TEXT,
      DstPort              int,
      SrcPort              int,
      CmdPort              int,
      Started              int
     );

CREATE TABLE rx_config
     (
      Name            TEXT,
      DstIPAddr       TEXT,
      DstPort         int,
      SrcPort         int,
      DelayReorder    int,
      PeriodRetrans   int,
      DelayRetrans    int,
      UseRange        int,
      CmdPort         int,
      Started         int
     );
!
