BEGIN {
  FS="|"
  name[1] = "SERVER_IP_ADDR"
  name[2] = "SERVER_PORT"
  name[3] = "TUN_IP_ADDR"
  name[4] = "START_PORT"
  name[5] = "NUM_SESSIONS"
  name[6] = "ROUTING"
  name[7] = "REDUCED_MODE"
  name[8] = "NO_DTLS"
  name[9] = "PERCENT_LOSS"
  name[10] = "STARTED"
  print "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"
  print "<GATEWAY_CONTROL>"
  print "  <TUN_CONFIG>"
}
{
  for (i = 1; i <= NF; i++) {
    printf("    <%s>%s</%s>\n", name[i], $i, name[i])
  }
}
END {
  print "  </TUN_CONFIG>"
  print "</GATEWAY_CONTROL>"
}
