#!/bin/sh

RIST_DIR=/disk/RIST
DATA_BASE=$RIST_DIR/proxy_db
NAME=Name,
NAME=
case "$1" in
    sh) TYPE=sh ;;
  json) TYPE=json ;;
     *) TYPE=xml ;;
esac

gettunconfig() {
  TUN_TABLE=tun_config
  TUN_FIELDS1=${NAME}ServerIPAddr,ServerPort,TunIPAddr,StartPort
  TUN_FIELDS2=NumSessions,Routing,ReducedMode,NoDTLS,PercentLoss,Started
  SQL="SELECT $TUN_FIELDS1,$TUN_FIELDS2 from $TUN_TABLE;"
  echo "$SQL" | sqlite3 $DATA_BASE | awk -f $RIST_DIR/tun_config_$TYPE.awk
}

gettunconfig
