var monitoring = 0;
  
function myload() {
  document.getElementById("start").setAttribute("class", "btn disabled");
  document.getElementById("stop").setAttribute("class", "btn disabled");
  document.getElementById("monitor").setAttribute("class", "btn disabled");
  postURL("rist.cgi", "getstate=1", getstate);
}
 
function getstate(xml) {
  var xmlDoc = xml.responseXML;
  x = xmlDoc.getElementsByTagName("RUNNING");
  str = x[0].childNodes[0].nodeValue;
  updateUI(str.indexOf("true") != -1);
}
 
function updateUI(bRunning) {
  if (bRunning) {
    document.getElementById("start").setAttribute("class", "btn disabled");
    document.getElementById("stop").setAttribute("class", "btn");
    document.getElementById("monitor").setAttribute("class", "btn");
    document.getElementById("reset").setAttribute("class", "btn");
    document.getElementById("main_page").innerHTML = "<h3>Running</h3>";
  } else {
    monitoring = 0;
    document.getElementById("stop").setAttribute("class", "btn disabled");
    document.getElementById("monitor").setAttribute("class", "btn disabled");
    document.getElementById("reset").setAttribute("class", "btn disabled");
    document.getElementById("start").setAttribute("class", "btn");
    document.getElementById("main_page").innerHTML = "<h3>Stopped</h3>";
  }
}
 
function configProxy() {
  monitoring = 0;
  postURL("rist.cgi", "getconfig=1", editConfig);
}
 
function startProxy() {
  if (isEnabled("start")) {
    postURL("rist.cgi", "start=1", getstate);
  }
}

function stopProxy() {
  if (isEnabled("stop")) {
    monitoring = 0;
    postURL("rist.cgi", "stop=1", getstate);
  }
}
  
function monitorProxy() {
  if (!monitoring && isEnabled("monitor")) {
    postURL("rist.cgi", "getstats=1", monitorCB);
  }
}
  
function resetProxy() {
  if (isEnabled("reset")) {
    postURL("rist.cgi", "reset=1", resetStatsCB);
  }
}

function refreshStats(xml)
{
  if (monitoring) {
    updateStats(xml);
    window.setTimeout("triggerRefresh()", 3000);
  }
}
 
function resetStatsCB(xml) {
  updateStats(xml);
}

function monitorCB(xml) {
  monitoring = 1;
  refreshStats(xml)
}

function triggerRefresh() {
  if (monitoring && isEnabled("monitor")) {
    postURL("rist.cgi", "getstats=1", refreshStats);
  }
}
 
function isEnabled(name) {
  var x = document.getElementById(name).getAttribute("class");
  return (x.indexOf("disabled") == -1);
}
