function loadDoc(url, cFunction) {
  var xmlhttp = new XMLHttpRequest();
  xmlhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      cFunction(this);
    }
  };
  xmlhttp.open("GET", url, true);
  xmlhttp.send();
}

function postURL(url, params, cFunction) {
  var xmlhttp = new XMLHttpRequest();
  xmlhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      cFunction(this);
    }
  };
  xmlhttp.open("POST", url, true);
  xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xmlhttp.send(params);
}
 
function submitForm(oFormElement, url, cFunction) {
  var params = "";
  var n = oFormElement.length - 1;
  var i;
  for (i = 0; i < n - 1; i++) {
    value = encodeURIComponent(oFormElement.elements[i].value).replace(/%20/g, '+');
    params += oFormElement.elements[i].name + "=" + value + "&";
  }
  value = encodeURIComponent(oFormElement.elements[i].value).replace(/%20/g, '+');
  params += oFormElement.elements[i].name + "=" + value;
  postURL(url, params, cFunction);
  return false;
} 
